Bug 1067743 - RFE: User authentication over Hot Rod
Summary: RFE: User authentication over Hot Rod
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 6.3.0
Assignee: Misha H. Ali
QA Contact:
URL:
Whiteboard:
Depends On: 1114080
Blocks: 1092056
TreeView+ depends on / blocked
 
Reported: 2014-02-21 00:27 UTC by Misha H. Ali
Modified: 2014-07-21 02:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-21 02:14:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Misha H. Ali 2014-02-21 00:27:30 UTC
Document $SUBJECT

Comment 9 Misha H. Ali 2014-05-29 22:46:41 UTC
This bug is now available as part of the JDG 6.3 Beta documentation:

https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Data_Grid/

Comment 10 Misha H. Ali 2014-06-25 03:42:01 UTC
Reopened to address the AD part of this requirement, which is not explicitly detailed in docs.

Comment 11 Misha H. Ali 2014-06-25 03:55:05 UTC
Hi Vojtech,

I'm looking for information about configuring the following:

4) QE requirement: Test authentication with Active Directory (both,
Kerberos and LDAP authentication scenarios)

Would your tests have any information about what is required? Also, to kill two birds with one stone, would this configuration be mostly the same for the Hot Rod user authentication and general library mode security authentication?

Comment 17 Misha H. Ali 2014-07-14 00:58:20 UTC
Hi Vojtech,

I noticed the support ticket for this is now resolved. Any idea about when this testing will be done, and we will have some tested information to document?

Comment 18 Misha H. Ali 2014-07-14 09:05:46 UTC
Had a chat with Vojta about this. The blocker for testing is recently resolved (see RT ticket link in this bug) and he is now going to start testing. Tests are complicated so there is no way to predict exactly when they will be done, and if there will be any further issues. The best way to deal with this is probably to check in with Vojta tomorrow same time to see how the testing has gone and determine docs at that time and ask for a quick review.

Comment 22 Misha H. Ali 2014-07-15 06:25:20 UTC
Thanks, Vojta. So basically we have two things to document here:

1) authentication against LDAP/MS AD - this feature doesn't work because of BZ #1114080 <-- do we know when this will be developed? I'll just create a new bug to track it for a future release, whenever it is fixed. (https://bugzilla.redhat.com/show_bug.cgi?id=1119589)

2) authentication against MS AD using GSSAPI, however role mapping can only be done for the "principal" role. PLAIN works with LDAP/MS AD with server config.

Working on developing docs for 2 here.

Comment 25 Misha H. Ali 2014-07-21 02:14:51 UTC
Now available on access.redhat.com under the JBoss Data Grid 6.3 documentation label.


Note You need to log in before you can comment on or make changes to this bug.